Skip to main content
GET
Get list of settlements

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPAY.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

Query Parameters

payment_intent_id
string

The unique ID of a payment intent.

Example:

"PI1945730395043532800"

settlement_batch_id
string

Identifier of the settlement batch.

Example:

"SB1947180993781698560"

settled_start_time
string

Inclusive start date used to filter by settlement_date, in YYYY-MM-DD format. Time is based on UTC+8.

Example: '2025-07-01' means settlement_date ≥ 2025-07-01T00:00:00 (UTC+8).

Example:

"2025-07-01"

settled_end_time
string

Inclusive end date used to filter by settlement_date, in YYYY-MM-DD format. Time is based on UTC+8.

Example: '2025-07-31' means settlement_date ≤ 2025-07-31T23:59:59 (UTC+8).

Example:

"2025-07-31"

page_number
integer
required

The page number to retrieve. Page numbering starts at 1.

Required range: x >= 1
Example:

1

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

Response

200 - application/json

List of settlements retrieved successfully

total_pages
integer

The total pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]